// Code generated by go-swagger; DO NOT EDIT.

package environment_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// DeleteRuntimeEnvironmentOKCode is the HTTP code returned for type DeleteRuntimeEnvironmentOK
const DeleteRuntimeEnvironmentOKCode int = 200

/*DeleteRuntimeEnvironmentOK RuntimeEnvironment deleted

swagger:response deleteRuntimeEnvironmentOK
*/
type DeleteRuntimeEnvironmentOK struct {

	/*
	  In: Body
	*/
	Payload string `json:"body,omitempty"`
}

// NewDeleteRuntimeEnvironmentOK creates DeleteRuntimeEnvironmentOK with default headers values
func NewDeleteRuntimeEnvironmentOK() *DeleteRuntimeEnvironmentOK {

	return &DeleteRuntimeEnvironmentOK{}
}

// WithPayload adds the payload to the delete runtime environment o k response
func (o *DeleteRuntimeEnvironmentOK) WithPayload(payload string) *DeleteRuntimeEnvironmentOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the delete runtime environment o k response
func (o *DeleteRuntimeEnvironmentOK) SetPayload(payload string) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *DeleteRuntimeEnvironmentOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}
